extends Control


func _on_try_again_button_pressed() -> void:
	if Globals.is_in_boss_room:
		Globals.current_time = Utils.TIME.PRESENT
	SceneChanger.change_scene_to(Utils.GAME_SCENES.GAME)
	SignalBus.start_game_or_respawn.emit()  # for music

func _on_main_menu_button_pressed() -> void:
	SceneChanger.change_scene_to(Utils.GAME_SCENES.MAIN_MENU)
	SignalBus.returned_to_main_menu.emit()  # for music

func _on_exit_game_button_pressed() -> void:
	get_tree().quit()
